Docs
DocumentationQuery ReferenceAPI Reference
Open Console→→
DocumentationQuery ReferenceAPI Reference

Get started

IntroductionSend dataQuery dataPaginationAPI limits

Annotations

List all annotationsGETRetrieve annotationGETCreate annotationPOSTUpdate annotationPUTDelete annotationDELETE

API tokens

List all API tokensGETRetrieve API tokenGETCreate API tokenPOSTRegenerate API tokenPOSTDelete API tokenDELETE

Dashboards

Dashboard JSONList all dashboardsGETRetrieve dashboardGETCreate dashboardPOSTUpdate dashboardPUTPatch dashboard elementPATCHDelete dashboardDELETE

Datasets

List all datasetsGETRetrieve datasetGETList all fields in datasetGETRetrieve field in datasetGETCreate datasetPOSTIngest data (legacy)POSTRun APL query (legacy)POSTRun query (legacy)POSTTrim datasetPOSTUpdate datasetPUTUpdate fieldPUTVacuum datasetPOSTDelete fieldsPOSTDelete fieldDELETEDelete datasetDELETE

Edge

Ingest data to edge deploymentIngest Splunk HEC eventsIngest raw Splunk HEC eventsCheck Splunk HEC healthRun APL query to edge deploymentRun batch query to edge deploymentRun MPL query to edge deploymentGet metrics for a datasetGet metric tags for a datasetGet metric tag values for a datasetGet tags for a datasetGet tag values for a dataset

Labels

List all labelsGETRetrieve labelGETCreate labelPOSTUpdate labelPUTDelete labelDELETEList label assignmentsPOSTReplace label assignmentsPUT

Map fields

List all map fieldsGETCreate map fieldPOSTUpdate list of map fieldsPUTDelete map fieldsDELETE

Monitors

List all monitorsGETRetrieve monitorGETRetrieve monitor notification historyGETCreate monitorPOSTUpdate monitorPUTDelete monitorDELETE

Notifiers

List all notifiersGETRetrieve notifierGETCreate notifierPOSTUpdate notifierPUTDelete notifierDELETE

Organizations

List all orgsGETRetrieve orgGETCreate orgPOSTUpdate orgPUTProvision orgPOST

Role-based access control

List all rolesGETRetrieve roleGETList all groupsGETRetrieve groupGETCreate rolePOSTCreate groupPOSTUpdate rolePUTUpdate groupPUTDelete roleDELETEDelete groupDELETE

Saved queries

List all saved queriesGETRetrieve saved queryGETCreate saved queryPOSTUpdate saved queryPUTDelete saved queryDELETE

Users

Retrieve current userGETList all usersGETRetrieve userGETCreate userPOSTUpdate current userPUTUpdate user rolePUTDelete user from orgDELETE

Views

List all viewsGETRetrieve viewGETCreate viewPOSTUpdate viewPUTDelete viewDELETE

Virtual fields

List all virtual fieldsGETRetrieve virtual fieldGETCreate virtual fieldPOSTUpdate virtual fieldPUTDelete virtual fieldDELETE
Role-based access control

List all roles

GET/v2/rbac/roles

Lists the custom roles in the organization with their capabilities and the IDs of users assigned each role directly. Built-in roles such as axiom-admin aren't included.

Request

curl -X GET 'https://api.axiom.co/v2/rbac/roles' \
  -H 'Authorization: Bearer API_TOKEN'
Try itRun this request against your Axiom organization

Credentials stay in this browser tab and are only sent to Axiom when you run the request.

Response

200Custom roles in the organization.
application/json
PropertyTypeDescription
datasetCapabilitiesobjectDefines the available permissions for dataset operations
descriptionstringDetailed description of the role's purpose and scope
membersstring[]IDs of users assigned this role directly. Returned in responses and ignored in requests. To assign a role to a user, use the Update user role endpoint.
namestringRequiredUnique name identifier for the role
orgCapabilitiesobjectDefines organization-wide permissions and capabilities
└annotationsstring[]Controls the management of annotations across the organization
└apiTokensstring[]Controls the management of API tokens for authentication
└auditLogstring[]Controls access to organization audit logs
└billingstring[]Controls access to billing information and settings
└dashboardsstring[]Controls the management of organization dashboards
└datasetsstring[]Controls the management of organization datasets
└endpointsstring[]Controls the management of API endpoints
└integrationsstring[]Controls the management of third-party integrations
└labelsstring[]Controls the management of labels
└monitorsstring[]Controls the management of monitoring
└notifiersstring[]Controls the management of notification settings
└rbacstring[]Controls access to role-based access control settings
└sharedAccessKeysstring[]Controls the management of shared access keys
└usersstring[]Controls user management within the organization
└viewsstring[]Controls the management of data views
viewCapabilitiesobjectDefines the available permissions for view operations
idstringRequiredUnique identifier for the role
Was this page helpful?
Suggest edits on GitHub
PreviousProvision orgNextRetrieve role
On this page
RequestResponse